.bottom-widgetbar-content.backtesting .button {
  display: block;
  position: relative;
  float: right;
  cursor: default;
  padding: 7px 12px;
  border: 1px solid;
  border-color: #dadde0;
  height: 14px;
  background: #fff;
  color: #555;
  font-size: 11px;
  font-weight: 600;
}
html.theme-dark .bottom-widgetbar-content.backtesting .button {
  color: #758696;
  background: #242731;
  border-color: #363c4e;
}
.symbol-search-dialog .symbol-block input,
input.symbol-edit {
  float: right;
  background-color: #fff;
  border: 1px solid #dadde0;
  width: 291px;
  height: 28px;
  padding: 0 7px 0 0;
  color: #4a4a4a;
  font-size: 13px;
  font-weight: 600;
}
html.theme-dark .symbol-search-dialog .symbol-block input,
html.theme-dark input.symbol-edit {
  color: #c5cbce;
  border-color: #363c4e;
  background-color: #242731;
}
.symbol-search-dialog input.incomplete,
input.symbol-edit.incomplete {
  background-color: #ffffef;
}
.symbol-search-dialog input.error,
.symbol-search-dialog input.interval-error,
input.symbol-edit.error,
input.symbol-edit.interval-error {
  background-color: #ffefef;
}
.symbol-search-loading {
  position: relative;
  width: 51px;
  height: 51px;
  padding: 10px;
  margin: 0 auto;
}
.property-page input.symbol-edit {
  padding: 0 5px;
}
div.symbol-edit-popup {
  display: block;
  position: absolute;
  width: 705px;
  border: 1px solid;
  border-color: #d6d8e0;
  z-index: 111;
  background: hsla(0, 0%, 100%, 0.9);
}
html.theme-dark div.symbol-edit-popup {
  background: rgba(30, 34, 45, 0.9);
  border-color: #242731;
}
div.symbol-edit-popup .table-wrapper {
  border-top: 1px solid;
  border-top-color: #dde1e6;
  overflow-y: auto;
  width: 700px;
  position: relative;
  z-index: 0;
}
html.theme-dark div.symbol-edit-popup .table-wrapper {
  border-top-color: #363c4e;
}
div.symbol-edit-popup .table-wrapper::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
div.symbol-edit-popup .table-wrapper::-webkit-scrollbar-thumb {
  border: 1px solid;
  border-color: #f1f3f6;
  border-radius: 3px;
  background-color: #9598a1;
}
html.theme-dark div.symbol-edit-popup .table-wrapper::-webkit-scrollbar-thumb {
  background-color: #363a45;
  border-color: #1e222d;
}
div.symbol-edit-popup .table-wrapper::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 3px;
}
div.symbol-edit-popup .table-wrapper::-webkit-scrollbar-corner {
  display: none;
}
table.symbol-edit-popup {
  border-collapse: collapse;
}
table.symbol-edit-popup tr.group-title {
  cursor: default;
}
table.symbol-edit-popup tr.group-title td:first-child div {
  position: relative;
  border-color: #ccc;
  transition: border-color 0.1s linear;
}
table.symbol-edit-popup tr.group-title td:first-child div:before {
  content: '';
  display: block;
  position: absolute;
  top: 50%;
  right: -13px;
  margin-top: -2px;
  width: 0;
  height: 0;
  border-color: inherit;
  border-style: solid;
  border-width: 7px 4px 0;
}
table.symbol-edit-popup
  tr.group-title:not(.collapsed)
  td:first-child
  div:before {
  border-right-color: transparent;
  border-left-color: transparent;
}
table.symbol-edit-popup tr.group-title.collapsed td:first-child div {
  border-color: #ccc;
}
table.symbol-edit-popup tr.group-title.collapsed td:first-child div:before {
  right: -12px;
  margin-top: -3px;
  border-top-color: transparent;
  border-bottom-color: transparent;
  border-width: 4px 7px 4px 0;
}
table.symbol-edit-popup
  tr.group-title.symbol-edit-popup-active
  td:first-child
  div {
  border-color: #555;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  table.symbol-edit-popup tr.group-title:hover td:first-child div {
    border-color: #555;
  }
}
table.symbol-edit-popup tr.hidden {
  display: none;
}
table.symbol-edit-popup td {
  padding: 7px;
}
table.symbol-edit-popup td:first-child {
  padding-right: 20px;
}
table.symbol-edit-popup td:last-child {
  max-width: 130px;
  padding-left: 20px;
}
tr.symbol-edit-popup {
  cursor: pointer;
  height: 25px;
}
tr.symbol-edit-popup td:first-child {
  max-width: 165px;
}
span.symbol-edit-highlight {
  color: #4c82ce;
  font-weight: 700;
}
.symbol-edit-popup-td {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 230px;
  line-height: 14px;
  vertical-align: middle;
}
.symbol-edit-popup-td.name {
  font-weight: 700;
}
.symbol-edit-popup-td.desc {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}
.symbol-edit-popup-td.desc:after,
.symbol-edit-popup-td.name:after {
  content: '\200E';
}
.symbol-edit-popup-td.name > div {
  display: inline;
}
.symbol-edit-popup-td.name > div:after {
  content: '\200E';
}
.symbol-edit-popup-td.desc strong,
.symbol-edit-popup-td.name strong {
  font-weight: 700;
  color: #4c82ce;
}
.symbol-edit-popup-td.desc em,
.symbol-edit-popup-td.name em {
  font-weight: 700;
  color: #4c82ce;
  font-style: normal;
}
.symbol-edit-popup-td.type {
  font-size: 11px;
  color: #999;
  white-space: nowrap;
  text-align: left;
}
.symbol-edit-popup-td.flag svg {
  position: relative;
  display: block;
  left: -2px;
}
.symbol-edit-popup-td.flag svg.bitcoin {
  top: 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  tr.symbol-edit-popup:hover:not(.group-title) {
    background: #f1f3f6;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark tr.symbol-edit-popup:hover:not(.group-title) {
    background: #363c4e;
  }
}
.symbol-edit-popup-active {
  background: #d1e1f8;
}
html.theme-dark .symbol-edit-popup-active {
  background: #2f3241;
}
.symbol-edit-popup i.eod,
.symbol-edit-popup i.pro {
  display: inline-block;
  height: auto;
  width: auto;
  font-size: 10px;
  color: #fff;
  text-transform: uppercase;
  font-style: normal;
  line-height: 12px;
  vertical-align: 0;
  padding: 1px 3px 0;
  overflow: visible;
}
.symbol-edit-popup i.eod {
  background: #c9cbcd;
}
html.theme-dark .symbol-edit-popup i.eod {
  background: #363c4e;
}
.symbol-edit-popup i.pro {
  background: #bf645c;
}
.tv-close-mixin {
  cursor: pointer;
}
.tv-close-mixin:after {
  content: ' ';
  display: block;
  position: absolute;
  width: 9px;
  height: 9px;
  top: 6px;
  right: 6px;
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAASCAYAAACJgPRIAAAAUElEQVR42pWQMQoAIAwD++d+x8HJbyoOWXJDSSBgwpVS62vtc8ulXg/ZAZkFMycNoBJgXoUcX1cm9N1NSL0esgMyC2ZOGkAlwLwKObhu/qcHp/zWImEdH8EAAAAASUVORK5CYII=);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .tv-close-mixin:hover:after {
    background-position: bottom;
  }
}
.symbol-edit-notification {
  position: relative;
  padding: 15px 20px;
  background: #ebf7fc;
  font-size: 12px;
}
html.theme-dark .symbol-edit-notification {
  background: #4c525e;
}
.symbol-edit-notification a {
  color: #2196f3;
  transition: color 0.35s ease;
}
html.theme-dark .symbol-edit-notification a {
  color: #1976d2;
}
.symbol-edit-notification a:visited {
  color: #2196f3;
  fill: #2196f3;
}
html.theme-dark .symbol-edit-notification a:visited {
  fill: #1976d2;
  color: #1976d2;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .symbol-edit-notification a:hover {
    color: #1e88e5;
    fill: #1e88e5;
    transition-duration: 0.06s;
  }
}
.symbol-edit-notification a:focus {
  outline: auto;
}
.symbol-edit-notification a:focus:not(:-moz-focusring) {
  outline: none;
}
.symbol-edit-notification a:-moz-focusring {
  outline: auto;
}
.symbol-edit-notification a:active {
  color: #1e88e5;
  fill: #1e88e5;
  transition-duration: 0.06s;
}
.symbol-edit-notification .close {
  display: block;
  position: absolute;
  width: 21px;
  height: 21px;
  left: 0;
  top: 0;
  cursor: pointer;
}
.symbol-edit-notification .close:after {
  content: ' ';
  display: block;
  position: absolute;
  width: 9px;
  height: 9px;
  top: 6px;
  right: 6px;
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAASCAYAAACJgPRIAAAAUElEQVR42pWQMQoAIAwD++d+x8HJbyoOWXJDSSBgwpVS62vtc8ulXg/ZAZkFMycNoBJgXoUcX1cm9N1NSL0esgMyC2ZOGkAlwLwKObhu/qcHp/zWImEdH8EAAAAASUVORK5CYII=);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .symbol-edit-notification .close:hover:after {
    background-position: bottom;
  }
}
.symbol-search-dialog .symbol-block {
  width: auto;
  margin: 0;
  overflow: hidden;
}
.symbol-search-dialog .symbol-block .spread-actions {
  height: 36px;
  border-top: none;
  border-left: none;
  background: #fff;
}
html.theme-dark .symbol-search-dialog .symbol-block .spread-actions {
  background: #242731;
}
.symbol-search-dialog .symbol-block .spread-actions:empty {
  border: none;
  background: transparent;
}
.symbol-search-dialog .symbol-block button {
  width: 30px;
  height: 36px;
  border-right: 1px solid;
  border-right-color: #dadde0;
}
html.theme-dark .symbol-search-dialog .symbol-block button {
  border-right-color: #363c4e;
}
.symbol-search-dialog .symbol-block button:first-child {
  border-right: none !important;
}
.symbol-search-dialog .symbol-block-inputspacer {
  overflow: hidden;
}
.symbol-search-dialog .symbol-block-inputspacer input {
  float: none;
  width: 100%;
  height: 37px;
  font-size: 13px;
  margin: 0;
  padding: 0 34px 0 7px;
  border-width: 0;
  border-bottom-width: 1px;
  border-radius: 0;
  box-sizing: border-box;
}
.symbol-search-dialog .symbol-block-inputspacer .search-icon {
  content: ' ';
  display: block;
  position: absolute;
  width: 13px;
  height: 13px;
  background: url(1df47f578aeef40dd1f2328338a133be.png) no-repeat -80px -339px;
  top: 12px;
  right: 12px;
}
.symbol-search-dialog .filter {
  padding: 0 20px;
  border-bottom: 1px solid;
  border-color: #dde1e6;
}
html.theme-dark .symbol-search-dialog .filter {
  border-color: #363c4e;
}
.symbol-search-dialog .filter .exchange-filter,
.symbol-search-dialog .filter .tradable-filter,
.symbol-search-dialog .filter a.type-filter {
  position: relative;
  display: inline-block;
  margin-left: 18px;
  padding: 10px 0;
  font-size: 13px;
  line-height: 16px;
  color: #555;
}
html.theme-dark .symbol-search-dialog .filter .exchange-filter,
html.theme-dark .symbol-search-dialog .filter .tradable-filter,
html.theme-dark .symbol-search-dialog .filter a.type-filter {
  color: #8b8f95;
}
.symbol-search-dialog .filter .exchange-filter a,
.symbol-search-dialog .filter .tradable-filter a,
.symbol-search-dialog .filter a.type-filter a {
  color: #555;
}
html.theme-dark .symbol-search-dialog .filter .exchange-filter a,
html.theme-dark .symbol-search-dialog .filter .tradable-filter a,
html.theme-dark .symbol-search-dialog .filter a.type-filter a {
  color: #8b8f95;
}
.symbol-search-dialog .filter .exchange-filter.active,
.symbol-search-dialog .filter .tradable-filter.active,
.symbol-search-dialog .filter a.type-filter.active {
  font-weight: 700;
}
.symbol-search-dialog .filter .exchange-filter.active:after,
.symbol-search-dialog .filter .tradable-filter.active:after,
.symbol-search-dialog .filter a.type-filter.active:after {
  content: ' ';
  display: block;
  position: absolute;
  bottom: -1px;
  width: 100%;
  height: 3px;
  background-color: #5cb888;
}
.symbol-search-dialog .filter .exchange-filter,
.symbol-search-dialog .filter .exchange-filter:last-child,
.symbol-search-dialog .filter a.type-filter:last-child {
  margin-left: 0;
}
.symbol-search-dialog .filter .tradable-filter {
  margin: 0 10px;
  padding-bottom: 11px;
  line-height: 14px;
  vertical-align: middle;
}
.symbol-search-dialog .filter .tradable-filter * {
  vertical-align: middle;
}
.symbol-search-dialog .filter .tradable-filter .tradable-text {
  padding-right: 5px;
  cursor: default;
}
.symbol-search-dialog .results {
  width: 100%;
  height: 500px;
  overflow-x: hidden;
  overflow-y: auto;
  margin: 0;
}
.symbol-search-dialog .results::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
.symbol-search-dialog .results::-webkit-scrollbar-thumb {
  border: 1px solid;
  border-color: #f1f3f6;
  border-radius: 3px;
  background-color: #9598a1;
}
html.theme-dark .symbol-search-dialog .results::-webkit-scrollbar-thumb {
  background-color: #363a45;
  border-color: #1e222d;
}
.symbol-search-dialog .results::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 3px;
}
.symbol-search-dialog .results::-webkit-scrollbar-corner {
  display: none;
}
.symbol-search-dialog .results table {
  width: 100%;
  border-collapse: collapse;
}
.symbol-search-dialog .results table .symbol-edit-popup-td:first-child {
  padding-right: 20px;
}
.symbol-search-dialog .results table .symbol-edit-popup-td:last-child {
  padding-left: 20px;
}
.symbol-search-dialog .results table tr:first-child .symbol-edit-popup-td {
  padding-top: 12px;
}
.spread-actions {
  float: left;
  height: 28px;
  border: 1px solid;
  border-color: #dadde0;
  background: #fff;
  margin: 0;
}
html.theme-dark .spread-actions {
  background: #242731;
  border-color: #363c4e;
}
.spread-actions button {
  position: relative;
  float: right;
  width: 20px;
  height: 28px;
  background: none;
  padding: 0;
  margin: 0;
  border: none;
  cursor: pointer;
}
.spread-actions button::-moz-focus-inner {
  padding: 0 !important;
  margin: 0 !important;
}
.spread-actions button.disabled {
  cursor: default;
}
.spread-actions button .action-icon {
  display: block;
  position: absolute;
  margin: auto;
  right: 0;
  top: 0;
  left: 0;
  bottom: 0;
  color: #7d7d7d;
}
html.theme-dark .spread-actions button .action-icon {
  color: #758696;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .spread-actions button:hover .action-icon {
    color: #2196f3;
  }
}
.spread-actions button.disabled .action-icon {
  color: #a6a6a6;
}
html.theme-dark .spread-actions button.disabled .action-icon {
  color: #2f3241;
}
.symbol-search-dialog .exchange-filter,
div.symbol-edit-popup .exchange-filter {
  float: left;
}
.exchange-filter .tv-symbol-select > .flag {
  display: block;
  position: absolute;
  top: 2px;
  left: 15px;
}
.exchange-filter-overflow {
  width: 90px;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: left;
  white-space: nowrap;
}
.flagged-exchange {
  margin-left: 36px;
}
.symbol-search-dialog .exchange-filter .sbSelector {
  width: 90px;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: left;
  white-space: nowrap;
  display: block;
  width: auto;
  margin: 0 15px 0 12px;
}
.symbol-search-dialog .exchange-filter .sbSelector.exchange-with-flag {
  margin-left: 36px;
}
div.symbol-edit-popup .exchange-filter .sbSelector {
  width: 90px;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: left;
  white-space: nowrap;
  display: block;
  width: auto;
  margin: 0 15px 0 10px;
  font-weight: 700;
  font-size: 11px;
  height: 13px;
}
div.symbol-edit-popup .exchange-filter .sbSelector.exchange-with-flag {
  margin-left: 36px;
}
.symbol-search-dialog .exchange-filter .sbToggle,
div.symbol-edit-popup .exchange-filter .sbToggle {
  position: absolute;
  left: 1px;
}
.symbol-edit-popup .filter {
  padding: 0 20px;
  margin: 0;
  width: 100%;
  box-sizing: border-box;
}
.symbol-edit-popup .filter .exchange-filter,
.symbol-edit-popup .filter a.type-filter {
  display: inline-block;
  position: relative;
  padding: 6px 0;
  margin-left: 18px;
  font-weight: 700;
  font-size: 11px;
  line-height: 14px;
  border-bottom: none;
  color: #4a4a4a;
}
html.theme-dark .symbol-edit-popup .filter .exchange-filter,
html.theme-dark .symbol-edit-popup .filter a.type-filter {
  color: #c5cbce;
}
.symbol-edit-popup .filter .exchange-filter a,
.symbol-edit-popup .filter a.type-filter a {
  color: #4a4a4a;
}
html.theme-dark .symbol-edit-popup .filter .exchange-filter a,
html.theme-dark .symbol-edit-popup .filter a.type-filter a {
  color: #c5cbce;
}
.symbol-edit-popup .filter .exchange-filter.active:after,
.symbol-edit-popup .filter a.type-filter.active:after {
  content: ' ';
  display: block;
  position: absolute;
  bottom: -1px;
  width: 100%;
  height: 3px;
  background-color: #5cb888;
}
.symbol-edit-popup .filter .exchange-filter:last-child,
.symbol-edit-popup .filter a.type-filter:last-child {
  margin-left: 0;
}
.symbol-edit-popup .filter .exchange-filter {
  margin: 0;
}
.symbol-edit-popup .filter .tradable-filter {
  margin: 0 10px;
  font-size: 11px;
  line-height: 14px;
  padding: 6px 0;
  display: inline-flex;
  vertical-align: middle;
  align-items: center;
}
.symbol-edit-popup .filter .tradable-filter .tradable-text {
  padding-right: 5px;
  cursor: default;
  vertical-align: middle;
}
.symbol-search-dialog .tradable-filter,
div.symbol-edit-popup .tradable-filter {
  float: left;
}
.bottom-widgetbar-content.backtesting .button.active,
.bottom-widgetbar-content.backtesting .button:active {
  background: #f2f3f5;
  color: #4c525e;
}
html.theme-dark .bottom-widgetbar-content.backtesting .button.active,
html.theme-dark .bottom-widgetbar-content.backtesting .button:active {
  color: #f7f8fa;
  background: #242731;
}
.button.iconed {
  padding: 6px 10px 8px;
}
@media (max-width: 550px) {
  div.symbol-edit-popup {
    width: 100vw;
  }
  div.symbol-edit-popup .filter {
    padding: 0 10px;
  }
  div.symbol-edit-popup .filter .exchange-filter,
  div.symbol-edit-popup .filter a.type-filter {
    margin-right: 0;
    margin-left: 10px;
  }
  div.symbol-edit-popup .table-wrapper {
    width: 100%;
  }
  table.symbol-edit-popup {
    width: 100%;
    table-layout: fixed;
  }
  table.symbol-edit-popup td {
    padding: 5px;
  }
  table.symbol-edit-popup td:first-child {
    padding-right: 10px;
  }
  .symbol-edit-popup-td {
    overflow: hidden;
    text-overflow: ellipsis;
    box-sizing: border-box;
  }
  .symbol-edit-popup-td.name {
    width: 30%;
  }
  .symbol-edit-popup-td.desc {
    width: 40%;
  }
  .symbol-edit-popup-td.type {
    width: 30%;
  }
}
